[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TAction.OnUpdate

Event handler signalled to update an action when the application is idle.

## Declaration

Source position: actnlist.pas line 247

`published property TAction.OnUpdate;`

## Description

OnUpdate is the event triggered when the application is idle, and the action is being updated. The OnUpdate event can be used to set the state of the action, for instance disable it if the action cannot be executed at this point in time.

## See also

TBasicAction.OnUpdate